import type { Http } from '../../../util/http';
import type { HttpResponse, OutgoingHttpHeaders } from '../../../util/http/types';
import type { RegistryRepository } from './types';
export declare const dockerDatasourceId: "docker";
export declare const sourceLabels: string[];
export declare const gitRefLabel = "org.opencontainers.image.revision";
export declare const DOCKER_HUB = "https://index.docker.io";
export declare function isDockerHost(host: string): boolean;
export declare function getAuthHeaders(http: Http, registryHost: string, dockerRepository: string, apiCheckUrl?: string): Promise<OutgoingHttpHeaders | null>;
export declare function getRegistryRepository(packageName: string, registryUrl: string): RegistryRepository;
export declare function extractDigestFromResponseBody(manifestResponse: HttpResponse): string;
export declare function findLatestStable(tags: string[]): string | null;
