"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNewBranchName = exports.repoFingerprint = void 0;
const tslib_1 = require("tslib");
const hasha_1 = tslib_1.__importDefault(require("hasha"));
function repoFingerprint(repoId, endpoint) {
    const input = endpoint ? `${endpoint}::${repoId}` : `${repoId}`;
    const fingerprint = (0, hasha_1.default)(input);
    return fingerprint;
}
exports.repoFingerprint = repoFingerprint;
function getNewBranchName(branchName) {
    if (branchName && !branchName.startsWith('refs/heads/')) {
        return `refs/heads/${branchName}`;
    }
    return branchName;
}
exports.getNewBranchName = getNewBranchName;
//# sourceMappingURL=util.js.map