"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DepTypesMatcher = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const base_1 = require("./base");
class DepTypesMatcher extends base_1.Matcher {
    matches({ depTypes, depType }, { matchDepTypes }) {
        if (is_1.default.undefined(matchDepTypes)) {
            return null;
        }
        const result = (depType && matchDepTypes.includes(depType)) ||
            depTypes?.some((dt) => matchDepTypes.includes(dt));
        return result ?? false;
    }
}
exports.DepTypesMatcher = DepTypesMatcher;
//# sourceMappingURL=dep-types.js.map