"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileNamesMatcher = void 0;
const tslib_1 = require("tslib");
const is_1 = tslib_1.__importDefault(require("@sindresorhus/is"));
const minimatch_1 = require("minimatch");
const base_1 = require("./base");
class FileNamesMatcher extends base_1.Matcher {
    matches({ packageFile, lockFiles }, { matchFileNames }) {
        if (is_1.default.undefined(matchFileNames)) {
            return null;
        }
        if (is_1.default.undefined(packageFile)) {
            return false;
        }
        return matchFileNames.some((matchFileName) => (0, minimatch_1.minimatch)(packageFile, matchFileName, { dot: true }) ||
            (is_1.default.array(lockFiles) &&
                lockFiles.some((lockFile) => (0, minimatch_1.minimatch)(lockFile, matchFileName, { dot: true }))));
    }
}
exports.FileNamesMatcher = FileNamesMatcher;
//# sourceMappingURL=files.js.map